Package twisted :: Package python :: Module components :: Class Adapter

[show private | hide private]
[frames | no frames]

## Class Adapter

Known Subclasses:
  `ProtocolToConsumerAdapter`, `ConsumerToProtocolAdapter`, `ManholeClient`, `DefaultSaver`

I am the default implementation of an Adapter for some interface.

This docstring contains a limerick, by popular demand:

       Subclassing made Zope and TR
       much harder to work with by far.
           So before you inherit,
           be sure to declare it
       Adapter, not PyObject*

Method Summary
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting.
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original on the assumption that it is an instance of Componentized.

Class Variable Summary
`int` | `multiComponent`
`int` | `temporaryAdapter`

Method Details

### __init__(self, original)
(Constructor)

Set my 'original' attribute to be the object I am adapting.

### getComponent(self, interface, registry=None, default=None)

I forward getComponent to self.original on the assumption that it is an instance of Componentized.

Class Variable Details

### multiComponent

  Type:
    `int`
  Value:

        1

### temporaryAdapter

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net